<?php

namespace app\common\controller;

use app\BaseController;
use app\common\middleware\Auth;
use app\common\api\BatchApi;

/**
 * Description of Batch
 *
 * @author sgq
 */
class Batch extends BaseController {

    protected $middleware = [Auth::class];

    public function checkBatchValid() {
        $user = session("user");
        return json(BatchApi::checkBatchValid($this->request->param(), $user["type"]));
    }

}
